- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# TAO_Servant_Dispatcher Class Reference

Interface for POA servant dispatching strategies. More...

`#include <Servant_Dispatcher.h>`

Inheritance diagram for TAO_Servant_Dispatcher:

[legend]
List of all members.

## Public Member Functions
virtual | ~TAO_Servant_Dispatcher (void)
virtual void | pre_invoke_remote_request (TAO_Root_POA &poa, CORBA::Short servant_priority, TAO_ServerRequest &req, TAO::Portable_Server::Servant_Upcall::Pre_Invoke_State &pre_invoke_state)=0
| Pre_invoke remote request.
virtual void | pre_invoke_collocated_request (TAO_Root_POA &poa, CORBA::Short servant_priority, TAO::Portable_Server::Servant_Upcall::Pre_Invoke_State &pre_invoke_state)=0
| Pre_invoke collocated request.
virtual void | post_invoke (TAO_Root_POA &poa, TAO::Portable_Server::Servant_Upcall::Pre_Invoke_State &pre_invoke_state)=0
| Post_invoke request.
virtual TAO_Root_POA * | create_Root_POA (const ACE_CString &name, TAO_POA_Manager &poa_manager, const TAO_POA_Policy_Set &policies, ACE_Lock &lock, TAO_SYNCH_MUTEX &thread_lock, TAO_ORB_Core &orb_core, TAO_Object_Adapter *object_adapter)=0
| Factory method for creating new POA's.

## Detailed Description

Interface for POA servant dispatching strategies.

## Constructor & Destructor Documentation

TAO_BEGIN_VERSIONED_NAMESPACE_DECL TAO_Servant_Dispatcher::~TAO_Servant_Dispatcher | ( | void |  | ) | `[virtual]`

## Member Function Documentation

virtual TAO_Root_POA* TAO_Servant_Dispatcher::create_Root_POA | ( | const ACE_CString & | name,
|  | TAO_POA_Manager & | poa_manager,
|  | const TAO_POA_Policy_Set & | policies,
|  | ACE_Lock & | lock,
|  | TAO_SYNCH_MUTEX & | thread_lock,
|  | TAO_ORB_Core & | orb_core,
|  | TAO_Object_Adapter * | object_adapter |
| ) |  |  | `[pure virtual]`

Factory method for creating new POA's.

Implemented in TAO_Default_Servant_Dispatcher.

virtual void TAO_Servant_Dispatcher::post_invoke | ( | TAO_Root_POA & | poa,
|  | TAO::Portable_Server::Servant_Upcall::Pre_Invoke_State & | pre_invoke_state |
| ) |  |  | `[pure virtual]`

Post_invoke request.

Implemented in TAO_Default_Servant_Dispatcher.

virtual void TAO_Servant_Dispatcher::pre_invoke_collocated_request | ( | TAO_Root_POA & | poa,
|  | CORBA::Short | servant_priority,
|  | TAO::Portable_Server::Servant_Upcall::Pre_Invoke_State & | pre_invoke_state |
| ) |  |  | `[pure virtual]`

Pre_invoke collocated request.

Implemented in TAO_Default_Servant_Dispatcher.

virtual void TAO_Servant_Dispatcher::pre_invoke_remote_request | ( | TAO_Root_POA & | poa,
|  | CORBA::Short | servant_priority,
|  | TAO_ServerRequest & | req,
|  | TAO::Portable_Server::Servant_Upcall::Pre_Invoke_State & | pre_invoke_state |
| ) |  |  | `[pure virtual]`

Pre_invoke remote request.

Implemented in TAO_Default_Servant_Dispatcher.

The documentation for this class was generated from the following files:

- Servant_Dispatcher.h
- Servant_Dispatcher.cpp